path: /build/build/libxmlb-dev-libs-0.3.15.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc introspection stemmer" emerge dev-libs/libxmlb -pv -t && \
    USE="-doc introspection stemmer" emerge -j ${JOBS} --nodeps dev-libs/libxmlb
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libxmlb && luet-portage --dir /pkgdir/libxmlb
    dev-libs/libxmlb && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b21dde465496ae9b1c7f60dcdade2438112c8dd012d4d419fa656b2182ad13a8
  package:
    name: libxmlb
    version: 0.3.15
    category: dev-libs
    use_flags:
    - -doc
    - introspection
    - stemmer
    requires:
    - name: libjcat
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Library to help create and query binary XML blobs
    uri:
    - https://github.com/hughsie/libxmlb
    license: LGPL-2.1+
    buildtimestamp: 2024-02-17 14:04:10.98792557 +0000 UTC m=+112.521801755
    labels:
      BDEPEND: '|| ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 dev-lang/python:3.10
        ) >=dev-util/meson-0.47.0 virtual/pkgconfig introspection? ( || ( ( dev-lang/python:3.8
        dev-python/setuptools[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 dev-python/setuptools[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 dev-python/setuptools[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ( dev-lang/python:3.10 dev-python/setuptools[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ) ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
      DEPEND: app-arch/xz-utils dev-libs/glib:2 sys-apps/util-linux stemmer? ( dev-libs/snowball-stemmer:=
        ) doc? ( dev-util/gtk-doc ) introspection? ( dev-libs/gobject-introspection
        ) dev-util/desktop-file-utils x11-misc/shared-mime-info
      IUSE: doc introspection stemmer test
      RDEPEND: app-arch/xz-utils dev-libs/glib:2 sys-apps/util-linux stemmer? ( dev-libs/snowball-stemmer:=
        )
      emerge.packages: dev-libs/libxmlb
      kit: dev-kit
      original.package.name: dev-libs/libxmlb
      original.package.slot: "0"
      original.package.version: 0.3.15
    treedir: /build/packages
  package_dir: /pkgdir/libxmlb
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ebe09ebb3e51c9701cc4e739b3e2d81d46da6f20e2493a9d6f0d6dcc4885f285
compressiontype: zstd
files:
- usr/bin/xb-tool
- usr/include/libxmlb-2/libxmlb/xb-builder-fixup.h
- usr/include/libxmlb-2/libxmlb/xb-builder-node.h
- usr/include/libxmlb-2/libxmlb/xb-builder-source-ctx.h
- usr/include/libxmlb-2/libxmlb/xb-builder-source.h
- usr/include/libxmlb-2/libxmlb/xb-builder.h
- usr/include/libxmlb-2/libxmlb/xb-compile.h
- usr/include/libxmlb-2/libxmlb/xb-machine.h
- usr/include/libxmlb-2/libxmlb/xb-node-query.h
- usr/include/libxmlb-2/libxmlb/xb-node-silo.h
- usr/include/libxmlb-2/libxmlb/xb-node.h
- usr/include/libxmlb-2/libxmlb/xb-opcode.h
- usr/include/libxmlb-2/libxmlb/xb-query-context.h
- usr/include/libxmlb-2/libxmlb/xb-query.h
- usr/include/libxmlb-2/libxmlb/xb-silo-export.h
- usr/include/libxmlb-2/libxmlb/xb-silo-query.h
- usr/include/libxmlb-2/libxmlb/xb-silo.h
- usr/include/libxmlb-2/libxmlb/xb-stack.h
- usr/include/libxmlb-2/libxmlb/xb-string.h
- usr/include/libxmlb-2/libxmlb/xb-value-bindings.h
- usr/include/libxmlb-2/libxmlb/xb-version.h
- usr/include/libxmlb-2/xmlb.h
- usr/lib64/girepository-1.0/Xmlb-2.0.typelib
- usr/lib64/libxmlb.so
- usr/lib64/libxmlb.so.2
- usr/lib64/libxmlb.so.2.0.0
- usr/lib64/pkgconfig/xmlb.pc
- usr/share/doc/libxmlb-0.3.15/NEWS.bz2
- usr/share/doc/libxmlb-0.3.15/README.md.bz2
- usr/share/gir-1.0/Xmlb-2.0.gir
- usr/share/man/man1/xb-tool.1.bz2
- var/db/pkg/dev-libs/libxmlb-0.3.15/BDEPEND
- var/db/pkg/dev-libs/libxmlb-0.3.15/BUILD_TIME
- var/db/pkg/dev-libs/libxmlb-0.3.15/CATEGORY
- var/db/pkg/dev-libs/libxmlb-0.3.15/CBUILD
- var/db/pkg/dev-libs/libxmlb-0.3.15/CFLAGS
- var/db/pkg/dev-libs/libxmlb-0.3.15/CHOST
- var/db/pkg/dev-libs/libxmlb-0.3.15/CONTENTS
- var/db/pkg/dev-libs/libxmlb-0.3.15/COUNTER
- var/db/pkg/dev-libs/libxmlb-0.3.15/CXXFLAGS
- var/db/pkg/dev-libs/libxmlb-0.3.15/DEFINED_PHASES
- var/db/pkg/dev-libs/libxmlb-0.3.15/DEPEND
- var/db/pkg/dev-libs/libxmlb-0.3.15/DESCRIPTION
- var/db/pkg/dev-libs/libxmlb-0.3.15/EAPI
- var/db/pkg/dev-libs/libxmlb-0.3.15/FEATURES
- var/db/pkg/dev-libs/libxmlb-0.3.15/HOMEPAGE
- var/db/pkg/dev-libs/libxmlb-0.3.15/INHERITED
- var/db/pkg/dev-libs/libxmlb-0.3.15/IUSE
- var/db/pkg/dev-libs/libxmlb-0.3.15/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libxmlb-0.3.15/KEYWORDS
- var/db/pkg/dev-libs/libxmlb-0.3.15/LDFLAGS
- var/db/pkg/dev-libs/libxmlb-0.3.15/LICENSE
- var/db/pkg/dev-libs/libxmlb-0.3.15/NEEDED
- var/db/pkg/dev-libs/libxmlb-0.3.15/PF
- var/db/pkg/dev-libs/libxmlb-0.3.15/PROVIDES
- var/db/pkg/dev-libs/libxmlb-0.3.15/RDEPEND
- var/db/pkg/dev-libs/libxmlb-0.3.15/REQUIRES
- var/db/pkg/dev-libs/libxmlb-0.3.15/RESTRICT
- var/db/pkg/dev-libs/libxmlb-0.3.15/SIZE
- var/db/pkg/dev-libs/libxmlb-0.3.15/SLOT
- var/db/pkg/dev-libs/libxmlb-0.3.15/USE
- var/db/pkg/dev-libs/libxmlb-0.3.15/environment.bz2
- var/db/pkg/dev-libs/libxmlb-0.3.15/libxmlb-0.3.15.ebuild
- var/db/pkg/dev-libs/libxmlb-0.3.15/repository
package_cacheimage: ""
runtime:
  name: libxmlb
  version: 0.3.15
  category: dev-libs
  use_flags:
  - -doc
  - introspection
  - stemmer
  requires:
  - name: xz-utils
    version: '>=0'
    category: app-arch
  - name: glib
    version: '>=0'
    category: dev-libs-2
  - name: snowball-stemmer
    version: '>=0'
    category: dev-libs
  - name: util-linux
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Library to help create and query binary XML blobs
  uri:
  - https://github.com/hughsie/libxmlb
  license: LGPL-2.1+
  labels:
    BDEPEND: '|| ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 dev-lang/python:3.10
      ) >=dev-util/meson-0.47.0 virtual/pkgconfig introspection? ( || ( ( dev-lang/python:3.8
      dev-python/setuptools[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 dev-python/setuptools[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 dev-python/setuptools[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ( dev-lang/python:3.10 dev-python/setuptools[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ) ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
    DEPEND: app-arch/xz-utils dev-libs/glib:2 sys-apps/util-linux stemmer? ( dev-libs/snowball-stemmer:=
      ) doc? ( dev-util/gtk-doc ) introspection? ( dev-libs/gobject-introspection
      ) dev-util/desktop-file-utils x11-misc/shared-mime-info
    IUSE: doc introspection stemmer test
    RDEPEND: app-arch/xz-utils dev-libs/glib:2 sys-apps/util-linux stemmer? ( dev-libs/snowball-stemmer:=
      )
    emerge.packages: dev-libs/libxmlb
    kit: dev-kit
    original.package.name: dev-libs/libxmlb
    original.package.slot: "0"
    original.package.version: 0.3.15
